{ config, lib, pkgs, ... }:

{
  boot.plymouth.enable = true;
  nixpkgs.config = {
    mumble.speechdSupport = true;
    allowUnfree = true;
  };
# boot.plymouth.splashBeforeUnlock = true;
  users.users.schweby.packages = config.users.users.hexchen.packages
    ++ (with pkgs; [ alacritty picom feh copyq polybar cinnamon.nemo rofi arandr notepadqq nomacs bat ]);
  users.users.hexchen = {
    packages = with pkgs; [
      pulsemixer pavucontrol
      firefox git kitty j4-dmenu-desktop bemenu
      breeze-qt5 mako
      mpv youtube-dl
      wl-clipboard mumble
      xdg_utils
      slurp grim libnotify
      _1password-gui
      # gnome3.nautilus
    ];
    extraGroups = [ "video" "audio" ];
  };
  home-manager.users.hexchen = {
    gtk = {
      enable = true;
      iconTheme = {
        name = "Adwaita";
        package = pkgs.gnome3.adwaita-icon-theme;
      };
      theme = {
        name = "Adwaita";
        package = pkgs.gnome3.adwaita-icon-theme;
      };
    };
  };

  sound.enable = true;
  hardware.pulseaudio = {
    enable = true;
    package = pkgs.pulseaudioFull;
  };
  networking.useDHCP = lib.mkDefault true;
  hardware.opengl.enable = true;
  services.xserver = {
    windowManager.bspwm.enable = true;
    layout = "de";
  };
}
